---
title: C/C++ Tools
breadcrumbs:
- title: Software Engineering
---
{% include header.md %}

## General

- Strip the symbol table and most debug info from an executable: `strip <executable>`

## GNU Debugger (GDB)

**TODO**

## Valgrind

### Setup

Arch: `sudo pacman -S valgrind` (and maybe `source /etc/profile.d/debuginfod.sh`)

### Usage

**TODO** `valgrind --leak-check=full <app>`

## Cachegrind

**TODO**

## Callgrind

**TODO**

{% include footer.md %}
